Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenAuditable

All Superinterfaces:
  EObject, GenRuleTarget, Notifier

All Known Subinterfaces:
  GenAuditedMetricTarget, GenDiagramElementTarget, GenDomainAttributeTarget, GenDomainElementTarget, GenNotationElementTarget

All Known Implementing Classes:
  GenAuditableImpl, GenAuditedMetricTargetImpl, GenDiagramElementTargetImpl, GenDomainAttributeTargetImpl, GenDomainElementTargetImpl, GenNotationElementTargetImpl

public interface GenAuditable
extends GenRuleTarget

A representation of the model object 'Gen Auditable'. Target suitable for auditing

See Also:
  `GMFGenPackage.getGenAuditable()`
** Generated **
Model:
  abstract="true"

Method Summary
`java.lang.String` `getClientContextID()` Gets identifier of the validation client context for this target.
`GenClass` `getTargetClass()` Gets the validation target class in terms of EMFT validation framework
`java.lang.String` `getTargetClassModelQualifiedName()`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleTarget
`getContext`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getClientContextID

    public java.lang.String getClientContextID()

  Gets identifier of the validation client context for this target. It's guaranteed as a valid java identifier.

  ** Generated **
  Model:
    kind="operation" required="true"

### getTargetClass

    public GenClass getTargetClass()

  Gets the validation target class in terms of EMFT validation framework.

  ** Generated **
  Model:
    kind="operation"

### getTargetClassModelQualifiedName

    public java.lang.String getTargetClassModelQualifiedName()

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.